News
Article-centric news feed for a category - latest articles with linked markets and live prices
GET
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
category*stringcursor?stringMatch
^[0-9]+$Length
1 <= length <= 32since?stringLength
1 <= length <= 64before?stringLength
1 <= length <= 64limit?integerRange
1 <= value <= 50200
application/json- response
data*array<>nextCursor*stringhasMore*booleancurl -X GET 'https://api.t.sufwankhalid.com/news-feed/string'Example Response
{ "data": [ { "article": { "id": "string", "title": "string", "url": "string", "snippet": "string", "source": "string", "imageUrl": "string", "publishedAt": "string" }, "markets": [ { "venueMarketId": "string", "question": "string", "venue": "string", "yesPrice": 0, "eventTitle": "string", "eventId": "string", "summary": "string", "relevanceScore": 0 } ], "category": "string", "id": "string", "seq": 0, "timestamp": "string" } ], "nextCursor": "string", "hasMore": true}